Skip to main content
GET
/
webhook-deliveries
/
{uid}
cURL
curl --request GET \
  --url https://api.avala.ai/api/v1/webhook-deliveries/{uid}/ \
  --header 'X-Avala-Api-Key: <api-key>'
{
  "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "subscription": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "event_type": "<string>",
  "payload": {},
  "response_status": 123,
  "response_body": "<string>",
  "attempts": 123,
  "next_retry_at": "2023-11-07T05:31:56Z",
  "status": "pending",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-Avala-Api-Key
string
header
required

API key for authentication. Generate one in Mission Control Settings > Security & Identity.

Path Parameters

uid
string
required

Response

200 - application/json
uid
string<uuid>
subscription
string<uuid>
event_type
string
Minimum string length: 1
payload
Payload · object
response_status
integer | null
response_body
string
Minimum string length: 1
attempts
integer
next_retry_at
string<date-time> | null
status
enum<string>
Available options:
pending,
delivered,
failed
created_at
string<date-time>
updated_at
string<date-time>